services:
  dumbassets:
    image: dumbwareio/dumbassets:latest
    container_name: assets-dumbassets

    restart: unless-stopped

    volumes:
      - /home/docker/AssetDen/data:/app/data

    environment:
      - TZ=Europe/Paris
      - PORT=3000

    networks:
      tan-network:
        ipv4_address: 10.10.0.170

    labels:
      - traefik.enable=true

      # router HTTPS
      - traefik.http.routers.assets.rule=Host(`assets.luckyden.org`)
      - traefik.http.routers.assets.entrypoints=websecure
      - traefik.http.routers.assets.tls=true
      - traefik.http.routers.assets.tls.certresolver=cloudflare

      # service
      - traefik.http.services.assets.loadbalancer.server.port=3000

      # (optionnel) sécurité via authentik
      # - traefik.http.routers.assets.middlewares=authentik@docker

networks:
  tan-network:
    external: true
